Visual Studio 2019 - Trying to create an application to run in a Android box with version 6.0.1

lpinholpinho USMember ✭✭

Hi Guys,

I'm trying to use Xamarin.Forms to develop an application to run in an Android Box with Android 6.0.1.

I've got Visual Studio 2019 Enterprise Edition, added the Xamarin extension and created a new Android.Forms application, changed the Target Framework to 6.0 and I'm trying to build an application with the code included in the template (no code was changed).

But I'm having the following error while trying to build the application.

The $(TargetFrameworkVersion) for App.Android (v6.0) is less than the minimum required $(TargetFrameworkVersion) for Xamarin.Forms (8.1). You need to increase the $(TargetFrameworkVersion) for App.Android.

Does this mean that I'm unable to build Android.Forms for any Android version < 8.1?

Thanks for the help,
L. Pinho

Posts

  • DirkWilhelmDirkWilhelm USMember ✭✭✭✭

    Does this mean that I'm unable to build Android.Forms for any Android version < 8.1?

    No, you can build for lower android versions.

    You need to set the minimum android version to Android 6.0 and the target android version to 8.1

  • lpinholpinho USMember ✭✭

    Hi,
    thanks for advice, it worked!!
    Thanks,
    Luís Pinho

Sign In or Register to comment.